#!/bin/bash
# DOC getter script 
# V0.1 2011-10-29 by Jens Gödeke
#      First Release
#
# V0.2 2011-11-05 by Jens Gödeke
#      os query to handle mac os x md5 sum programme  
#

# MAC OS X ?
os_name=`uname -s`
if [ $os_name = "Darwin" ]; then
	export md5cmd="md5 -q"
else
	export md5cmd=md5sum
fi

# Check if system language is determinable 
LANG=`echo $LANG | cut -d_ -f1 | tr a-z A-Z`
if [ -z $LANG ]; then
	echo "The System language could not be determined"
	echo "Please choose (e) for english and press <Enter>..."
	echo ""
	echo "Die Systemsprache konnte nicht ermittelt werden"
	echo "Bitte waehlen Sie (d) fuer deutsch aus und druecken Sie <Enter>..."
	read lang
	if [ $lang = "d" ]; then
		LANG="DE"
	else
		LANG="EN"
	fi
	echo ""
fi	

if [ $LANG = "DE" ]; then
	echo "Setze Sprache der Handbuecher auf deutsch"
	suffix="Benutzerhandbuch.pdf"
else
	echo "Setting language of manuals to $language"
	suffix="manual.pdf"
fi

# Check if wget is availableset 
if [ -z `which wget` ]; then
	echo "Error: wget tool not found, download not possible"
	echo "Fehler: wget Tool nicht gefunden, ein Download ist so nicht moeglich"
	exit 2
fi

# Some constants
homepage="http://www.goedeke.net/c2x-cmd"
manuals="c2x-cmd- c2x-wizard-"
versions="versions.txt"

# delete old versions file
if [ -f $versions ]; then
    rm -f $versions 2>/dev/null
fi
# get new versions file
wget -q -np $homepage/$versions

# Download manuals
for file in $manuals
do
	filename=$file$suffix
	timestamp=`grep $filename $versions | cut -d: -f2`
	if [ -f $filename ]; then
        if [ -n $timestamp ]; then
			echo ""
            echo "E: Current file date of $filename on homepage is ..."
            echo "D: Die Datei $filename auf der Homepage hat folgendes Datum ..."
			echo 
            echo "=> $timestamp <= Download (y/n) ?"
            read value
            if [ $value = "n" ]; then
				echo ""
				echo "E: Jumping to next file..."
				echo "D: Springe zur nächsten Datei..."
                continue
            fi
			echo ""
            echo "E: -> Deleting old file"
			echo "D: -> Loesche alte Datei"
			echo ""
            rm -f $filename
        fi
    elif [ -z $timestamp ]; then
        echo "E: I am sorry, but the desired file $filename does not exist on homepage"
        echo "D: Entschuldigung, die gewuenschte Datei $filename befindet sich nicht auf der Homepage"
		echo ""
        continue
    fi
	echo "E: -> Downloading $filename ..."	
	echo "D: -> Lade $filename herunter ..."	
	wget -np -nv $homepage/$filename

	current_md5=`$md5cmd ./$filename | cut -d" " -f1 | tr A-Z a-z`
	homepage_md5=`grep $filename $versions | cut -d: -f3 | tr A-Z a-z`
	echo ""
	if [ $current_md5 = $homepage_md5 ]; then
        echo "E: -> Checksum is OK !"
        echo "D: -> Checksumme ist OK !"
    else
        echo "E: -> Checksum error !"
        echo "D: -> Checksummenfehler !"
    fi
	echo ""
done

# Delete old versions file
if [ -f $versions ]; then
    rm -f $versions 2>/dev/null
fi

